Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt

Use this file to discover all available pages before exploring further.

Get the recording transcription for a message by passing the message id
GET https://services.leadconnectorhq.com/conversations/locations/{locationId}/messages/{messageId}/transcription

Autorizacion

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticacion.
Version
string
default:"2021-07-28"
required
Version de la API.

Path parameters

locationId
string
default:"tDtDnQdgm2LXpyiqYvZ6"
required
Account ID as string
messageId
string
default:"tDtDnQdgm2LXpyiqYvZ6"
required
Message ID as string

Respuestas

mediaChannel
number
default:"1"
required
Media channel describes the user interaction channel
sentenceIndex
number
default:"1"
required
Index of the sentence in the transcription
startTime
number
default:"34"
required
Start time of the sentence in milliseconds
endTime
number
default:"45"
required
End time of the sentence in milliseconds
transcript
string
required
Transcript of the sentence
confidence
number
default:"0.5"
required
Confidence of the transcription
{
  "mediaChannel": "1",
  "sentenceIndex": "1",
  "startTime": "34",
  "endTime": "45",
  "transcript": "This call may be recorded for quality assurance purposes.",
  "confidence": "0.5"
}
{}
{}

Ejemplo

curl -X GET 'https://services.leadconnectorhq.com/conversations/locations/YOUR_locationId/messages/YOUR_messageId/transcription' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'